!===============================================================
! This program is meant to initialize a binary 3D level set surface.
! The region inside the levelset at phi=0 is negative. The area outside 
! the curve is positive.
!==============================================================

program levelset0
use sep
implicit none

!===============================================================
real, dimension(:,:), allocatable	:: levelset
integer					:: nr, nc
real					:: c

! Allocate the internal arrays / dimensions
 call sep_init()
 call from_history("n1", nr)
 call from_history("n2", nc)
 call from_param("c",c,2.0)
allocate(levelset(nr,nc))

! Build the initial rectangle for /scratch/adam/sigsbee_vel.H@
levelset=c
levelset(800:850,2400:2500)=-c

! Output the initial levelset
 call sep_write(levelset)
 !call to_history("n1", nr)
 !call to_history("o1", 1.0)
 !call to_history("d1", 1.0)
 !call to_history("n2", nc)
 !call to_history("o2", 1.0)
 !call to_history("d2", 1.0)
 call to_history("label1", 'x')
 call to_history("label2", 'z')
 call sep_close()

end program
